# Copyright (c) 2016-2017 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ ../lib/util/source/anki/clad -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause                = 0
  AcknowledgeFaceNamed                    = 1
  AcknowledgeFaceUnnamed                  = 2
  AcknowledgeObject                       = 3
  AskToBeRightedLeft                      = 4
  AskToBeRightedRight                     = 5
  AudioTestAnim                           = 6
  BlockReact                              = 7
  BouncerGetIn                            = 8
  BouncerGetOut                           = 9
  BouncerIdeaToPlay                       = 10
  BouncerIntoScore1                       = 11
  BouncerIntoScore2                       = 12
  BouncerIntoScore3                       = 13
  BouncerRequestToPlay                    = 14
  BouncerTimeout                          = 15
  BouncerWait                             = 16
  BuildPyramidFirstBlockOnSide            = 17
  BuildPyramidFirstBlockUpright           = 18
  BuildPyramidLookForFace                 = 19
  BuildPyramidReactToBase                 = 20
  BuildPyramidSecondBlockOnSide           = 21
  BuildPyramidSecondBlockUpright          = 22
  BuildPyramidSuccess                     = 23
  BuildPyramidThankUser                   = 24
  BuildPyramidThirdBlockOnSide            = 25
  BuildPyramidThirdBlockUpright           = 26
  CantHandleTallStack                     = 27
  PatternGuessNewIdea                     = 28
  PatternGuessThinking                    = 29
  CodeLab123Go                            = 30
  CodeLabAmazed                           = 31
  CodeLabBlink                            = 32
  CodeLabBored                            = 33
  CodeLabCat                              = 34
  CodeLabCelebrate                        = 35
  CodeLabChatty                           = 36
  CodeLabConducting                       = 37
  CodeLabCurious                          = 38
  CodeLabDancingMambo                     = 39
  CodeLabDejected                         = 40
  CodeLabDizzy                            = 41
  CodeLabDizzyEnd                         = 42
  CodeLabDog                              = 43
  CodeLabEnergyEat                        = 44
  CodeLabEnter                            = 45
  CodeLabExcited                          = 46
  CodeLabExit                             = 47
  CodeLabFireTruck                        = 48
  CodeLabFrustrated                       = 49
  CodeLabGetInPos                         = 50
  CodeLabHappy                            = 51
  CodeLabHeadsUp                          = 52
  CodeLabHelium                           = 53
  CodeLabHiccup                           = 54
  CodeLabIDK                              = 55
  CodeLabIdle                             = 56
  CodeLabLose                             = 57
  CodeLabNo                               = 58
  CodeLabPartyTime                        = 59
  CodeLabReactHappy                       = 60
  CodeLabSleep                            = 61
  CodeLabSneeze                           = 62
  CodeLabSquint1                          = 63
  CodeLabSquint2                          = 64
  CodeLabStaring                          = 65
  CodeLabSurprise                         = 66
  CodeLabTakaTaka                         = 67
  CodeLabTapCube                          = 68
  CodeLabThinking                         = 69
  CodeLabTwitch                           = 70
  CodeLabUnhappy                          = 71
  CodeLabVictory                          = 72
  CodeLabWhee1                            = 73
  CodeLabWhee2                            = 74
  CodeLabWhee3                            = 75
  CodeLabWhee4                            = 76
  CodeLabWhew                             = 77
  CodeLabWhoa                             = 78
  CodeLabWin                              = 79
  CodeLabWondering                        = 80
  CodeLabYes                              = 81
  CodeLabYuck                             = 82
  ConnectWakeUp                           = 83
  ConnectWakeUp_SevereEnergy              = 84
  ConnectWakeUp_SevereRepair              = 85
  ComeHere_AlreadyHere                    = 86
  ComeHere_SearchForFace                  = 87
  ComeHere_SearchForFace_FoundFace        = 88
  CozmoSaysGetIn                          = 89
  CozmoSaysGetOut                         = 90
  CozmoSaysSpeakGetInShort                = 91
  CozmoSaysSpeakGetInMedium               = 92
  CozmoSaysSpeakGetInLong                 = 93
  CozmoSaysSpeakGetOutShort               = 94
  CozmoSaysSpeakGetOutMedium              = 95
  CozmoSaysSpeakGetOutLong                = 96
  CozmoSaysSpeakLoop                      = 97
  CozmoSaysBadWord                        = 98
  CozmoSaysIdle                           = 99
  CubeMovedSense                          = 100
  CubeMovedUpset                          = 101
  CubePounceFake                          = 102
  CubePounceGetIn                         = 103
  CubePounceGetOut                        = 104
  CubePounceGetReady                      = 105
  CubePounceGetUnready                    = 106
  CubePounceIdleLiftDown                  = 107
  CubePounceIdleLiftUp                    = 108
  CubePounceLoseHand                      = 109
  CubePounceLoseRound                     = 110
  CubePounceLoseSession                   = 111
  CubePouncePounceClose                   = 112
  CubePouncePounceNormal                  = 113
  CubePounceWinHand                       = 114
  CubePounceWinRound                      = 115
  CubePounceWinSession                    = 116
  DanceMambo                              = 117
  DemoSpeedTapCozmoWin                    = 118
  DemoSpeedTapCozmoLose                   = 119
  DizzyReactionHard                       = 120
  DizzyReactionMedium                     = 121
  DizzyReactionSoft                       = 122
  DizzyShakeLoop                          = 123
  DizzyShakeStop                          = 124
  DizzyStillPickedUp                      = 125
  DriveEndAngry                           = 126
  DriveEndDefault                         = 127
  DriveEndHappy                           = 128
  DriveEndLaunch                          = 129
  DriveLoopAngry                          = 130
  DriveLoopDefault                        = 131
  DriveLoopHappy                          = 132
  DriveLoopLaunch                         = 133
  DriveStartAngry                         = 134
  DriveStartDefault                       = 135
  DriveStartHappy                         = 136
  DriveStartLaunch                        = 137
  DroneModeBackwardDrivingEnd             = 138
  DroneModeBackwardDrivingLoop            = 139
  DroneModeBackwardDrivingStart           = 140
  DroneModeCliffEvent                     = 141
  DroneModeForwardDrivingEnd              = 142
  DroneModeForwardDrivingLoop             = 143
  DroneModeForwardDrivingStart            = 144
  DroneModeGetIn                          = 145
  DroneModeGetOut                         = 146
  DroneModeIdle                           = 147
  DroneModeKeepAlive                      = 148
  DroneModeTurboDrivingStart              = 149
  EarnedSparks                            = 150
  FacePlantRoll                           = 151
  FacePlantRollArmUp                      = 152
  FailedToRightFromFace                   = 153
  FeedingAteFullEnough_Normal             = 154
  FeedingAteFullEnough_Severe             = 155
  FeedingAteNotFullEnough_Normal          = 156
  FeedingAteNotFullEnough_Severe          = 157
  FeedingDrivingGetIn_Severe              = 158
  FeedingDrivingGetOut_Severe             = 159
  FeedingDrivingLoop_Severe               = 160
  FeedingPlaceLiftOnCube_Normal           = 161
  FeedingPlaceLiftOnCube_Severe           = 162
  FeedingIdleSearch_Normal                = 163
  FeedingIdleSearch_Severe                = 164
  FeedingIdleSearchForFaces_Normal        = 165
  FeedingIdleSearchForFaces_Severe        = 166
  FeedingIdleWaitForFullCube_Normal       = 167
  FeedingIdleWaitForFullCube_Severe       = 168
  FeedingIdleWaitForShakeNoHead_Severe    = 169
  FeedingIdleWaitForShake_Normal          = 170
  FeedingIdleWaitForShake_Severe          = 171
  FeedingInterrupted                      = 172
  FeedingInterrupted_Severe               = 173
  FeedingSearchRequest                    = 174
  FeedingSearchRequest_Severe             = 175
  FeedingSearchFailure                    = 176
  FeedingSearchFailure_Severe             = 177
  FeedingReactToFullCube_Normal           = 178
  FeedingReactToFullCube_Severe           = 179
  FeedingReactToSeeCube_Normal            = 180
  FeedingReactToSeeCube_Severe            = 181
  FeedingReactToShake_Normal              = 182
  FeedingReactToShake_Severe              = 183
  FistBumpIdle                            = 184
  FistBumpRequestOnce                     = 185
  FistBumpRequestRetry                    = 186
  FistBumpSuccess                         = 187
  FistBumpLeftHanging                     = 188
  FlipDownFromBack                        = 189
  FrustratedByFailure                     = 190
  FrustratedByFailureMajor                = 191
  GameSetupGetIn                          = 192
  GameSetupGetOut                         = 193
  GameSetupIdle                           = 194
  GameSetupReaction                       = 195
  GoToSleepGetIn                          = 196
  GoToSleepGetOut                         = 197
  GoToSleepOff                            = 198
  GoToSleepSleeping                       = 199
  GuardDogBusted                          = 200
  GuardDogCubeDisconnect                  = 201
  GuardDogFakeout                         = 202
  GuardDogInterruption                    = 203
  GuardDogPlayerSuccess                   = 204
  GuardDogPulse                           = 205
  GuardDogSettle                          = 206
  GuardDogSleepLoop                       = 207
  GuardDogTimeout                         = 208
  GuardDogTimeoutCubesTouched             = 209
  GuardDogTimeoutCubesUntouched           = 210
  Hiccup                                  = 211
  HiccupGetIn                             = 212
  HiccupPlayerCure                        = 213
  HiccupRobotOnBack                       = 214
  HiccupRobotOnFace                       = 215
  HiccupRobotPickedUp                     = 216
  HiccupSelfCure                          = 217
  HikingDrivingEnd                        = 218
  HikingDrivingLoop                       = 219
  HikingDrivingStart                      = 220
  HikingInterestingEdgeThought            = 221
  HikingIntro                             = 222
  HikingLookAround                        = 223
  HikingObserve                           = 224
  HikingReactToEdge                       = 225
  HikingReactToNewArea                    = 226
  HikingReactToPossibleMarker             = 227
  HikingSquintEnd                         = 228
  HikingSquintLoop                        = 229
  HikingSquintStart                       = 230
  HikingWakeUpOffCharger                  = 231
  IdleOnCharger                           = 232
  InteractWithFaceTrackingIdle            = 233
  InteractWithFacesInitialNamed           = 234
  InteractWithFacesInitialUnnamed         = 235
  KnockOverEyes                           = 236
  KnockOverFailure                        = 237
  KnockOverGrabAttempt                    = 238
  KnockOverPreActionNamedFace             = 239
  KnockOverPreActionUnnamedFace           = 240
  KnockOverSuccess                        = 241
  LaserAcknowledge                        = 242
  LaserDriveEnd                           = 243
  LaserDriveLoop                          = 244
  LaserDriveStart                         = 245
  LaserFace                               = 246
  LaserGetOut                             = 247
  LaserPounce                             = 248
  LookInPlaceForFacesBodyPause            = 249
  LookInPlaceForFacesHeadMovePause        = 250
  MajorFail                               = 251
  MajorWin                                = 252
  MeetCozmoGetIn                          = 253
  MeetCozmoLookFaceGetIn                  = 254
  MeetCozmoLookFaceGetOut                 = 255
  MeetCozmoScanningIdle                   = 256
  MeetCozmoFirstEnrollmentSayName         = 257
  MeetCozmoFirstEnrollmentRepeatName      = 258
  MeetCozmoFirstEnrollmentCelebration     = 259
  MeetCozmoReEnrollmentSayName            = 260
  MeetCozmoRenameFaceSayName              = 261
  MeetCozmoLookFaceInterrupt              = 262
  MemoryMatchPlayerWinHand                = 263
  MemoryMatchPlayerWinHandLong            = 264
  MemoryMatchPlayerWinHandSolo            = 265
  MemoryMatchPlayerLoseHand               = 266
  MemoryMatchPlayerLoseHandSolo           = 267
  MemoryMatchCozmoWinHand                 = 268
  MemoryMatchCozmoLoseHand                = 269
  MemoryMatchCozmoWinGame                 = 270
  MemoryMatchPlayerWinGame                = 271
  MemoryMatchSoloGameOver                 = 272
  MemoryMatchReactToPattern               = 273
  MemoryMatchReactToPatternSolo           = 274
  MemoryMatchPointCenter                  = 275
  MemoryMatchPointLeftBig                 = 276
  MemoryMatchPointLeftSmall               = 277
  MemoryMatchPointRightBig                = 278
  MemoryMatchPointRightSmall              = 279
  MemoryMatchPointCenterFast              = 280
  MemoryMatchPointLeftBigFast             = 281
  MemoryMatchPointLeftSmallFast           = 282
  MemoryMatchPointRightBigFast            = 283
  MemoryMatchPointRightSmallFast          = 284
  MemoryMatchCozmoGetOut                  = 285
  MemoryMatchCozmoFollowTapsSoundOnly     = 286
  NamedFaceInitialGreeting                = 287
  NeedsMildLowEnergyRequest               = 288
  NeedsMildLowPlayRequest                 = 289
  NeedsMildLowRepairRequest               = 290
  NeedsSevereLowEnergyCliffReact          = 291
  NeedsSevereLowEnergyDrivingEnd          = 292
  NeedsSevereLowEnergyDrivingLoop         = 293
  NeedsSevereLowEnergyDrivingStart        = 294
  NeedsSevereLowEnergyForceGetOut         = 295
  NeedsSevereLowEnergyGetIn               = 296
  NeedsSevereLowEnergyIdle                = 297
  NeedsSevereLowEnergyRequest             = 298
  NeedsSevereLowEnergySlopeReact          = 299
  NeedsSevereLowPlayForceGetOut           = 300
  NeedsSevereLowPlayGetIn                 = 301
  NeedsSevereLowPlayRequest               = 302
  NeedsSevereLowRepairCliffReact          = 303
  NeedsSevereLowRepairDrivingEnd          = 304
  NeedsSevereLowRepairDrivingLoop         = 305
  NeedsSevereLowRepairDrivingStart        = 306
  NeedsSevereLowRepairForceGetOut         = 307
  NeedsSevereLowRepairGetIn               = 308
  NeedsSevereLowRepairIdle                = 309
  NeedsSevereLowRepairRequest             = 310
  NeedsSevereLowRepairSlopeReact          = 311
  NeutralFace                             = 312
  NothingToDoBoredEvent                   = 313
  NothingToDoBoredIdle                    = 314
  NothingToDoBoredIntro                   = 315
  NothingToDoBoredOutro                   = 316
  OnLearnedPlayerName                     = 317
  OnSawNewNamedFace                       = 318
  OnSawNewUnnamedFace                     = 319
  OnSawOldNamedFace                       = 320
  OnSawOldUnnamedFace                     = 321
  OnSpeedtapCozmoConfirm                  = 322
  OnSpeedtapFakeout                       = 323
  OnSpeedtapGameCozmoWinHighIntensity     = 324
  OnSpeedtapGameCozmoWinLowIntensity      = 325
  OnSpeedtapGamePlayerWinHighIntensity    = 326
  OnSpeedtapGamePlayerWinLowIntensity     = 327
  OnSpeedtapGetOut                        = 328
  OnSpeedtapHandCozmoWin                  = 329
  OnSpeedtapHandPlayerWin                 = 330
  OnSpeedtapIdle                          = 331
  OnSpeedtapRoundCozmoWinHighIntensity    = 332
  OnSpeedtapRoundCozmoWinLowIntensity     = 333
  OnSpeedtapRoundPlayerWinHighIntensity   = 334
  OnSpeedtapRoundPlayerWinLowIntensity    = 335
  OnSpeedtapTap                           = 336
  OnWaitForCubesMinigameSetup             = 337
  OnWiggle                                = 338
  OnboardingBirth                         = 339
  OnboardingCubeDockFail                  = 340
  OnboardingDiscoverCube                  = 341
  OnboardingDriveEnd                      = 342
  OnboardingDriveLoop                     = 343
  OnboardingDriveStart                    = 344
  OnboardingEyesOn                        = 345
  OnboardingHelloPlayer                   = 346
  OnboardingHelloWorld                    = 347
  OnboardingIdle                          = 348
  OnboardingIdleEnergy                    = 349
  OnboardingIdlePlay                      = 350
  OnboardingIdleRepair                    = 351
  OnboardingInteractWithCube              = 352
  OnboardingPreBirth                      = 353
  OnboardingReactToCube                   = 354
  OnboardingReactToCubePutDown            = 355
  OnboardingReactToFace                   = 356
  OnboardingSoundOnlyLiftEffortPickup     = 357
  OnboardingSoundOnlyLiftEffortPlaceLow   = 358
  OnboardingGetOut                        = 359
  OnboardingWakeUpDriveOffCharger         = 360
  PeekABooGetIn                           = 361
  PeekABooGetOutHappy                     = 362
  PeekABooGetOutSad                       = 363
  PeekABooHighIntensity                   = 364
  PeekABooIdle                            = 365
  PeekABooLowIntensity                    = 366
  PeekABooMedIntensity                    = 367
  PeekABooNoUserInteraction               = 368
  PeekABooShort                           = 369
  PeekABooSurprised                       = 370
  PetDetectionCat                         = 371
  PetDetectionDog                         = 372
  PetDetectionShort                       = 373
  PetDetectionShort_Cat                   = 374
  PetDetectionShort_Dog                   = 375
  PetDetectionSneeze                      = 376
  PickupHelperPreActionNamedFace          = 377
  PickupHelperPreActionUnnamedFace        = 378
  PlacedOnCharger                         = 379
  PopAWheelieInitial                      = 380
  PopAWheeliePreActionNamedFace           = 381
  PopAWheeliePreActionUnnamedFace         = 382
  PopAWheelieRealign                      = 383
  PopAWheelieRetry                        = 384
  PounceDriveEnd                          = 385
  PounceDriveLoop                         = 386
  PounceDriveStart                        = 387
  PounceFace                              = 388
  PounceFail                              = 389
  PounceGetOut                            = 390
  PounceInitial                           = 391
  PouncePounce                            = 392
  PounceSuccess                           = 393
  ProceduralLive                          = 394
  PutDownBlockKeepAlive                   = 395
  PutDownBlockPutDown                     = 396
  ReactToBlockPickupSuccess               = 397
  ReactToBlockRetryPickup                 = 398
  ReactToCliff                            = 399
  ReactToCliffDetectorStop                = 400
  ReactToFalling                          = 401
  ReactToImpact                           = 402
  ReactToObstacle                         = 403
  ReactToMotorCalibration                 = 404
  ReactToNewBlockAsk                      = 405
  ReactToNewBlockBig                      = 406
  ReactToNewBlockSmall                    = 407
  ReactToOnLeftSide                       = 408
  ReactToOnRightSide                      = 409
  ReactToPerchedOnBlock                   = 410
  ReactToPickup                           = 411
  ReactToPokeReaction                     = 412
  ReactToPokeStartled                     = 413
  ReactToUnexpectedMovement               = 414
  ReactToUnexpectedMovement_Severe_Energy = 415
  ReactToUnexpectedMovement_Severe_Repair = 416
  RepairFailMild                          = 417
  RepairFailSevere                        = 418
  RepairFixMildGetIn                      = 419
  RepairFixMildGetOut                     = 420
  RepairFixMildGetReady                   = 421
  RepairFixMildHeadDown                   = 422
  RepairFixMildHeadUp                     = 423
  RepairFixMildIdle                       = 424
  RepairFixMildLiftDown                   = 425
  RepairFixMildLiftUp                     = 426
  RepairFixMildLowerLift                  = 427
  RepairFixMildRaiseLift                  = 428
  RepairFixMildRoundReact                 = 429
  RepairFixMildWheelsBack                 = 430
  RepairFixMildWheelsForward              = 431
  RepairFixSevereGetIn                    = 432
  RepairFixSevereGetOut                   = 433
  RepairFixSevereGetReady                 = 434
  RepairFixSevereHeadDown                 = 435
  RepairFixSevereHeadUp                   = 436
  RepairFixSevereIdle                     = 437
  RepairFixSevereLiftDown                 = 438
  RepairFixSevereLiftUp                   = 439
  RepairFixSevereLowerLift                = 440
  RepairFixSevereRaiseLift                = 441
  RepairFixSevereRoundReact               = 442
  RepairFixSevereWheelsBack               = 443
  RepairFixSevereWheelsForward            = 444
  RepairIdleFullyRepaired                 = 445
  RepairPartRepaired_Head_Mild            = 446
  RepairPartRepaired_Lift_Mild            = 447
  RepairPartRepaired_Tread_Mild           = 448
  RequestGameInterrupt                    = 449
  RequestGameKeepAwayAccept0              = 450
  RequestGameKeepAwayAccept1              = 451
  RequestGameKeepAwayDeny0                = 452
  RequestGameKeepAwayDeny1                = 453
  RequestGameKeepAwayIdle0                = 454
  RequestGameKeepAwayIdle1                = 455
  RequestGameKeepAwayInitial0             = 456
  RequestGameKeepAwayInitial1             = 457
  RequestGameKeepAwayPreDrive0            = 458
  RequestGameKeepAwayPreDrive1            = 459
  RequestGameKeepAwayRequest0             = 460
  RequestGameKeepAwayRequest1             = 461
  RequestGameMemoryMatchAccept0           = 462
  RequestGameMemoryMatchAccept1           = 463
  RequestGameMemoryMatchDeny0             = 464
  RequestGameMemoryMatchDeny1             = 465
  RequestGameMemoryMatchIdle0             = 466
  RequestGameMemoryMatchIdle1             = 467
  RequestGameMemoryMatchInitial0          = 468
  RequestGameMemoryMatchInitial1          = 469
  RequestGameMemoryMatchPreDrive0         = 470
  RequestGameMemoryMatchPreDrive1         = 471
  RequestGameMemoryMatchRequest0          = 472
  RequestGameMemoryMatchRequest1          = 473
  RequestGamePickupFail                   = 474
  RequestGameSpeedTapAccept0              = 475
  RequestGameSpeedTapAccept1              = 476
  RequestGameSpeedTapDeny0                = 477
  RequestGameSpeedTapDeny1                = 478
  RequestGameSpeedTapIdle0                = 479
  RequestGameSpeedTapIdle1                = 480
  RequestGameSpeedTapInitial0             = 481
  RequestGameSpeedTapInitial1             = 482
  RequestGameSpeedTapPreDrive0            = 483
  RequestGameSpeedTapPreDrive1            = 484
  RequestGameSpeedTapRequest0             = 485
  RequestGameSpeedTapRequest1             = 486
  RollBlockInitial                        = 487
  RollBlockPreActionNamedFace             = 488
  RollBlockPreActionUnnamedFace           = 489
  RollBlockPutDown                        = 490
  RollBlockRealign                        = 491
  RollBlockRetry                          = 492
  RollBlockSuccess                        = 493
  SdkTextToSpeech                         = 494
  Shiver                                  = 495
  Shocked                                 = 496
  Singing_80bpm                           = 497
  Singing_100bpm                          = 498
  Singing_120bpm                          = 499
  Singing_GetIn                           = 500
  Singing_GetOut                          = 501
  Sleeping                                = 502
  SoftSparkUpgradeLift                    = 503
  SoftSparkUpgradeTracks                  = 504
  SoundOnlyLiftEffortPickup               = 505
  SoundOnlyLiftEffortPlaceHigh            = 506
  SoundOnlyLiftEffortPlaceLow             = 507
  SoundOnlyLiftEffortPlaceRoll            = 508
  SoundOnlyRamIntoBlock                   = 509
  SoundOnlyTurnSmall                      = 510
  SparkDrivingLoop                        = 511
  SparkDrivingStart                       = 512
  SparkDrivingStop                        = 513
  SparkFailure                            = 514
  SparkGetIn                              = 515
  SparkGetOut                             = 516
  SparkIdle                               = 517
  SparkPickupFinalCubeReaction            = 518
  SparkPickupInitialCubeReaction          = 519
  SparkSuccess                            = 520
  SpeedTapDrivingEnd                      = 521
  SpeedTapDrivingLoop                     = 522
  SpeedTapDrivingStart                    = 523
  StackBlocksSuccess                      = 524
  StartSleeping                           = 525
  SuccessfulWheelie                       = 526
  Surprise                                = 527
  TurtleRoll                              = 528
  UnitTestAnim                            = 529
  VC_Alrighty                             = 530
  VC_HowAreYouDoing_AllGood               = 531
  VC_Listening                            = 532
  VC_LookDownForLaser                     = 533
  VC_LookDownNoLaser                      = 534
  VC_NoFollowupCommand_NoFace             = 535
  VC_NoFollowupCommand_WithFace           = 536
  VC_Refuse_energy                        = 537
  VC_Refuse_repair                        = 538
  VC_Refuse_sparks                        = 539
  VC_StartledWakeup                       = 540
  WaitOnSideLoop                          = 541
  WorkoutPostLift_highEnergy              = 542
  WorkoutPostLift_lowEnergy               = 543
  WorkoutPostLift_mediumEnergy            = 544
  WorkoutPreLift_highEnergy               = 545
  WorkoutPreLift_lowEnergy                = 546
  WorkoutPreLift_mediumEnergy             = 547
  WorkoutPutDown_highEnergy               = 548
  WorkoutPutDown_lowEnergy                = 549
  WorkoutPutDown_lowEnergy_simple         = 550
  WorkoutPutDown_mediumEnergy             = 551
  WorkoutStrongLift_highEnergy            = 552
  WorkoutStrongLift_lowEnergy             = 553
  WorkoutStrongLift_mediumEnergy          = 554
  WorkoutTransition_highEnergy            = 555
  WorkoutTransition_lowEnergy             = 556
  WorkoutTransition_mediumEnergy          = 557
  WorkoutWeakLift_highEnergy              = 558
  WorkoutWeakLift_lowEnergy               = 559
  WorkoutWeakLift_mediumEnergy            = 560
  Count                                   = 561

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


class CubeAnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  Carrying                    = 0
  Connected                   = 1
  CubePouncePlayerLose        = 2
  CubePouncePlayerWin         = 3
  Dance_01                    = 4
  Dance_02                    = 5
  Dance_03                    = 6
  Dance_04                    = 7
  Dance_05                    = 8
  Dance_06                    = 9
  DanceFadeOff                = 10
  DrivingTo                   = 11
  FeedingBlank                = 12
  FeedingCyanCycle            = 13
  FeedingCyanSolid            = 14
  Flash                       = 15
  GatherCubesAllCubesInBeacon = 16
  GatherCubesCubeInBeacon     = 17
  GuardDogBeingMoved          = 18
  GuardDogBusted              = 19
  GuardDogOff                 = 20
  GuardDogSetup               = 21
  GuardDogSleeping            = 22
  GuardDogSuccessfullyFlipped = 23
  Interacting                 = 24
  InteractingBehaviorLock     = 25
  Onboarding                  = 26
  PyramidBaseBottom           = 27
  PyramidFlourish             = 28
  PyramidOnSideLocated        = 29
  PyramidOnSideNotLocated     = 30
  PyramidPickup               = 31
  PyramidSingle               = 32
  Sleep                       = 33
  SleepNoFade                 = 34
  SpeedTapWin                 = 35
  SpeedTapLose                = 36
  Visible                     = 37
  WakeUp                      = 38
  Workout                     = 39
  Count                       = 40

Anki.Cozmo.CubeAnimationTrigger = CubeAnimationTrigger
del CubeAnimationTrigger


